body {
    margin: 0;
    padding: 0;
    background: white;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
}

.spinner {
    width: 40px;
    height: 40px;
    position: relative;
}

.line {
    position: absolute;
    width: 3px;
    height: 10px;
    background: rgba(166, 94, 46, 1);
    left: 50%;
    top: 50%;
    transform-origin: 0px -12px;
}

@keyframes rotate {
    0% {
        opacity: 0.3;
    }
    100% {
        opacity: 1;
    }
}

.line:nth-child(1) {
    transform: rotate(0deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0s;
}
.line:nth-child(2) {
    transform: rotate(30deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.0833s;
}
.line:nth-child(3) {
    transform: rotate(60deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.1666s;
}
.line:nth-child(4) {
    transform: rotate(90deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.2499s;
}
.line:nth-child(5) {
    transform: rotate(120deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.3332s;
}
.line:nth-child(6) {
    transform: rotate(150deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.4165s;
}
.line:nth-child(7) {
    transform: rotate(180deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.4998s;
}
.line:nth-child(8) {
    transform: rotate(210deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.5831s;
}
.line:nth-child(9) {
    transform: rotate(240deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.6664s;
}
.line:nth-child(10) {
    transform: rotate(270deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.7497s;
}
.line:nth-child(11) {
    transform: rotate(300deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.833s;
}
.line:nth-child(12) {
    transform: rotate(330deg) translateX(-50%);
    animation: rotate 1s infinite;
    animation-delay: 0.9163s;
}

.loading-text {
    margin-top: 15px;
    color: #bd6b08;
    font-family: Arial, sans-serif;
    font-size: 14px;
}
